<div id="info">
<?

$f_nazev_rubriky = $_POST['f_nazev_rubriky'];

/*bezpecnostni pojistka*/
/*if(ereg("^[-0-9a-zA-Z. _ěĚšŠčČřŘžŽýÝáÁíÍéÉůú]{1,30}$",$f_nazev_rubriky)){*/
if($f_nazev_rubriky == "" || $f_nazev_rubriky == " " ){
echo "<div id=\"bad\">Nebyl zadán název rubriky!<meta http-equiv='refresh' content='2;URL=index.php?id=rubriky'></div>";
}
else{
include("../publikace/rubriky/rubriky.php");
$rubriky["publikovano"]++;
$publikovano = $rubriky["publikovano"];
$smazano = $rubriky["smazano"];
$data = "
<?
\$rubriky[\"publikovano\"] = $publikovano;
\$rubriky[\"smazano\"] = '$smazano';
  ?>";?>
<?
$file = fopen("../publikace/rubriky/rubriky.php", "w");
fwrite($file , $data);
fclose($file);
  ?>
<?

$obsah ="
<?
\$nazev_rubriky = \"$f_nazev_rubriky\";
  ?>";?>
<?
$file = FOpen ("../publikace/rubriky/rub$publikovano.php", "w");
FWrite ($file, "$obsah"); 
FClose ($file);
if(File_Exists("../publikace/rubriky/rub$publikovano.php")){
echo "<div id=\"good\">Rubrika úspěšně uložena a publikována <meta http-equiv='refresh' content='1;URL=index.php?id=rubriky'></div>";
}  
if(!File_Exists("../publikace/rubriky/rub$publikovano.php")){
echo "<div id=\"good\">Rubrika<b>ne</b>úspěšně uložena a publikována <meta http-equiv='refresh' content='1;URL=index.php?id=rubriky'></div>";
}
}
/*}
else{
echo "<div id=\"bad\">Název rubriky obsahuje nepovolené znaky<meta http-equiv='refresh' content='1;URL=index.php?id=rubriky'></div>";
}*/
  ?>
</div>